set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib64/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib64/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.3.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.3.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include/freetype2;/usr/include;/usr/include/python2.7;/usr/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtkLocalExample;vtkCommonCore;vtksys;vtkViewsContext2D;vtkRenderingContext2D;vtkCommonDataModel;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkRenderingCore;vtkCommonColor;vtkCommonExecutionModel;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkImagingCore;vtkalglib;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingFreeType;/usr/lib64/libfreetype.so;/usr/lib64/libz.so;vtkftgl;vtkViewsCore;vtkInteractionWidgets;vtkFiltersHybrid;vtkImagingSources;vtkFiltersModeling;vtkImagingGeneral;vtkImagingHybrid;vtkIOImage;vtkDICOMParser;vtkIOCore;vtkmetaio;/usr/lib64/libjpeg.so;/usr/lib64/libpng.so;/usr/lib64/libtiff.so;vtkInteractionStyle;vtkRenderingAnnotation;vtkImagingColor;vtkRenderingVolume;vtkGeovisCore;vtkIOXML;vtkIOGeometry;vtkIOXMLParser;/usr/lib64/libexpat.so;vtkInfovisLayout;vtkInfovisCore;vtkproj4;vtkFiltersGeneric;vtkTestingIOSQL;vtkIOSQL;vtksqlite;vtkViewsInfovis;vtkChartsCore;vtkFiltersImaging;vtkRenderingLabel;vtkImagingStencil;vtkIOExodus;vtkexoIIc;/lib64/libnetcdf_c++.so;/lib64/libnetcdf.so;/usr/lib64/libhdf5.so;/usr/lib64/libhdf5_hl.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;vtkTestingGenericBridge;vtkFiltersParallel;vtkParallelCore;vtkIOLegacy;vtkIOParallel;vtkIONetCDF;/usr/lib64/libjsoncpp.so;vtkRenderingOpenGL;vtkWrappingTools;vtkFiltersParallelImaging;vtkRenderingImage;vtkRenderingGL2PS;vtkRenderingContextOpenGL;/usr/lib64/libgl2ps.so;vtkIOImport;vtkFiltersSelection;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;/usr/lib64/libogg.so;vtkTestingRendering;vtkRenderingVolumeOpenGL;vtkFiltersAMR;vtkWrappingPythonCore;/usr/lib64/libpython2.7.so;vtkIOExport;vtkGUISupportQt;vtkRenderingLOD;vtkFiltersPython;vtkInteractionImage;verdict;vtkFiltersTexture;vtkIOParallelXML;vtkGUISupportQtWebkit;vtkViewsQt;vtkFiltersSMP;vtkRenderingLIC;vtkRenderingQt;vtkImagingStatistics;vtkFiltersVerdict;vtkGUISupportQtSQL;vtkImagingMath;vtkIOLSDyna;vtkFiltersHyperTree;vtkIOMovie;vtkViewsGeovis;vtkFiltersProgrammable;vtkWrappingJava;vtkFiltersFlowPaths;vtkIOVideo;vtkIOPLY;vtkIOEnSight;vtkIOInfovis;/usr/lib64/libxml2.so;vtkIOAMR;vtkIOMINC;vtkFiltersStatisticsGnuR;vtkDomainsChemistry;vtkImagingMorphological;vtkGUISupportQtOpenGL)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

